Accept an offer on an open RFQ
curl --request POST \
--url https://futures.kraken.com/derivatives/api/v3/rfqs/open-rfqs/accept-offer/{rfqUid} \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>'import requests
url = "https://futures.kraken.com/derivatives/api/v3/rfqs/open-rfqs/accept-offer/{rfqUid}"
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};
fetch('https://futures.kraken.com/derivatives/api/v3/rfqs/open-rfqs/accept-offer/{rfqUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/rfqs/open-rfqs/accept-offer/{rfqUid}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"result": "success",
"serverTime": "2023-11-07T05:31:56Z",
"rfqUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"result": "error",
"serverTime": "2023-11-07T05:31:56Z",
"errors": [
{
"code": 123,
"message": "<string>"
}
]
}{
"error": "accountInactive",
"result": "error",
"serverTime": "2020-08-27T17:03:33.196Z",
"errors": [
"accountInactive"
]
}RFQs
Accept an offer on an open RFQ
Accept an offer on a specific open RFQ created by the authenticated account.
Exactly one of bidAccepted or askAccepted must be provided.
POST
/
rfqs
/
open-rfqs
/
accept-offer
/
{rfqUid}
Accept an offer on an open RFQ
curl --request POST \
--url https://futures.kraken.com/derivatives/api/v3/rfqs/open-rfqs/accept-offer/{rfqUid} \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>'import requests
url = "https://futures.kraken.com/derivatives/api/v3/rfqs/open-rfqs/accept-offer/{rfqUid}"
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};
fetch('https://futures.kraken.com/derivatives/api/v3/rfqs/open-rfqs/accept-offer/{rfqUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/rfqs/open-rfqs/accept-offer/{rfqUid}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"result": "success",
"serverTime": "2023-11-07T05:31:56Z",
"rfqUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"result": "error",
"serverTime": "2023-11-07T05:31:56Z",
"errors": [
{
"code": 123,
"message": "<string>"
}
]
}{
"error": "accountInactive",
"result": "error",
"serverTime": "2020-08-27T17:03:33.196Z",
"errors": [
"accountInactive"
]
}Authorizations
General API key with full access
Authentication string
Path Parameters
Unique identifier for the RFQ
Query Parameters
The bid price to accept in USD
Example:
"12.0353200"
The ask price to accept in USD
Example:
"12.0353200"
Was this page helpful?